@font-face {
    font-family: Selawik;
    src: url("/fonts/selawik/selawk.ttf");
}

@font-face {
    font-family: SelawikBold;
    src: url("/fonts/selawik/selawkb.ttf");
}

body {
    background-color: whitesmoke;
    display: flex;
    flex-direction: column;
    font-family: Selawik, sans-serif;
    //font-size: 13pt;
    //line-height: 18pt;
    margin: 0;
    min-height: 100vh;
}

a {
    color: steelblue;
    text-decoration: none;
}

p {
    font-family: serif;
    font-size: 105%;
}

ul, ol {
    margin-left: 0;
    padding-left: 0;
}

li {
    margin-left: 1em;
}

body > footer {
    padding: 2em;
    width: calc(100% - 4em);
    vertical-align: middle;
}

body > header {
    padding: 2em;
    vertical-align: middle;
}

body > header a {
    color: dimgray;
    text-decoration: none;
}

body > header a:hover {
    color: dimgray;
}

body > header nav {
    display: inline-block;
}

body > header nav ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

body > header nav ul li {
    display: inline-block;
    padding: 0.25em;
    margin: 0;
}

body > header .brand {
    display: inline-block;
    font-size: 250%;
    font-weight: 100;
    margin-right: 1em;
    text-transform: lowercase;
}

main {
    display: block;
    flex: 1 0 auto;
    padding: 0 2em 2em 2em;
    width: calc(100% - 4em);
    min-width: 33%;
    max-width: 800px;
    margin-left: auto;
    margin-right: auto;
}

main > header {
    margin-bottom: 4em;
}

.splash h1 {
    font-family: SelawikBold, sans-serif;
    font-size: 250%;
    font-weight: bold;
    margin-top: 0;
}

.splash p {
    font-family: Selawik, sans-serif;
    font-size: 100%;
}

.splash h1:after {
    content: '.';
    color: deeppink;
}

article h1 {
    font-size: 200%;
    margin-bottom: 0;
}

article header, article footer {
    font-family: Selawik, sans-serif;
    font-size: 85%;
    margin: 0;
}

.footnote-definition {
    font-size: 85%;
}

.footnote-definition sup {
    float: left;
    font-size: 65%;
    margin-right: 0.25em;
    vertical-align: super;
}

footer hr {
    /* Choices, choices! I like both of these colors for the rule, but
     * which one do I like more?! Ugh!
     */
    //background-color: lime;
    background-color: slateblue;
    border: none;
    border-radius: 4px;
    height: 4px;
    margin-bottom: 0.75em;
}
